Package org.eclipse.birt.core.script

# Class ScriptableParameters

java.lang.Object
org.eclipse.birt.core.script.BaseScriptable
org.eclipse.birt.core.script.ScriptableParameters

All Implemented Interfaces:
  `org.mozilla.javascript.Scriptable`

public class ScriptableParameters extends BaseScriptable

## Field Summary

### Fields inherited from interface org.mozilla.javascript.Scriptable

`NOT_FOUND`

## Constructor Summary

Constructors
Constructor
Description
`ScriptableParameters(Map parameters, org.mozilla.javascript.Scriptable scope)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(int index, org.mozilla.javascript.Scriptable start)`
`Object`
`get(String name, org.mozilla.javascript.Scriptable start)`
`String`
`getClassName()`
`boolean`
`has(String name, org.mozilla.javascript.Scriptable start)`
`void`
`put(String name, org.mozilla.javascript.Scriptable start, Object value)`
Support setting parameter value by following methods: params["a"] = new ParameterAttribute( "value", "displayText"); params["a"] = params["b"] params["a"] = "value"

### Methods inherited from class org.eclipse.birt.core.script.BaseScriptable

`delete, delete, getDefaultValue, getIds, getParentScope, getPrototype, has, hasInstance, put, setParentScope, setPrototype`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptableParameters

public ScriptableParameters(Map parameters, org.mozilla.javascript.Scriptable scope)

## Method Details

### get

public Object get(String name, org.mozilla.javascript.Scriptable start)

### get

public Object get(int index, org.mozilla.javascript.Scriptable start)

Specified by:
  `get` in interface `org.mozilla.javascript.Scriptable`
Overrides:
  `get` in class `BaseScriptable`

### has

public boolean has(String name, org.mozilla.javascript.Scriptable start)

### put

public void put(String name, org.mozilla.javascript.Scriptable start, Object value)
Support setting parameter value by following methods:
params["a"] = new ParameterAttribute( "value", "displayText");
params["a"] = params["b"]
params["a"] = "value"

- ### getClassName

  public String getClassName()